EODAG(1)

NAME
eodag - Earth Observation Data Access Gateway

SYNOPSIS
eodag [OPTIONS] COMMAND [ARGS]...

DESCRIPTION

    Earth Observation Data Access Gateway: work on EO products from any provider

OPTIONS

-v, --verbose
    Control the verbosity of the logs. For maximum verbosity, type -vvv

--help
    Show this message and exit.

  Commands:

deploy-wsgi-app
    Configure the settings of the HTTP web app (the...

discover
    Fetch providers to discover product types

download
    Download a list of products from a serialized search...

list
    List supported product types

search
    Search satellite images by their product types,...

serve-rest
    Start eodag HTTP server

version
    Print eodag version and exit

SYNOPSIS
eodag discover [OPTIONS]

DESCRIPTION

    Fetch providers to discover product types

OPTIONS

-p, --provider TEXT
    Fetch only the given provider

--storage FILE
    Path to the file where to store external product types configuration (.json extension will be automatically appended to the filename). DEFAULT: ext_product_types.json

--help
    Show this message and exit.

SYNOPSIS
eodag download [OPTIONS]

DESCRIPTION

    Download a list of products from a serialized search result

OPTIONS

--search-results FILE
    Path to a serialized search result

-f, --conf PATH
    File path to the user configuration file with its credentials, default is ~/.config/eodag/eodag.yml

--quicklooks
    Download only quicklooks of products instead full set of files

--help
    Show this message and exit.

SYNOPSIS
eodag list [OPTIONS]

DESCRIPTION

    List supported product types

OPTIONS

-p, --provider TEXT
    List product types supported by this provider

-i, --instrument TEXT
    List product types originating from this instrument

-P, --platform TEXT
    List product types originating from this platform

-t, --platformSerialIdentifier TEXT
    List product types originating from the satellite identified by this keyword

-L, --processingLevel TEXT
    List product types of processing level

-S, --sensorType TEXT
    List product types originating from this type of sensor

--no-fetch
    Do not fetch providers for new product types

--help
    Show this message and exit.

SYNOPSIS
eodag search [OPTIONS]

DESCRIPTION

    Search satellite images by their product types, instrument, platform, platform identifier, processing level or sensor type. It is mandatory to provide at least one of the previous criteria for eodag to perform a search. Optionally crunch the search results before storing them in a geojson file

OPTIONS

-f, --conf PATH
    File path to the user configuration file with its credentials, default is ~/.config/eodag/eodag.yml

-l, --locs PATH
    File path to the user locations configuration file, default is ~/.config/eodag/locations.yml

-b, --box <FLOAT FLOAT FLOAT FLOAT>...
    Search for a product on a bounding box, providing its minlon, minlat, maxlon and maxlat (in this order). NOTE: This argument is mutually exclusive with arguments: [geom].

-g, --geom TEXT
    Search for a product on a geometry, providing its WKT representation. NOTE: This argument is mutually exclusive with arguments: [box].

-s, --start [%Y-%m-%d|%Y-%m-%dT%H:%M:%S|%Y-%m-%d %H:%M:%S]
    Start sensing time in ISO8601 format (e.g. '1990-11-26', '1990-11-26T14:30:10'). UTC is assumed

-e, --end [%Y-%m-%d|%Y-%m-%dT%H:%M:%S|%Y-%m-%d %H:%M:%S]
    End sensing time in ISO8601 format (e.g. '1990-11-26', '1990-11-26T14:30:10'). UTC is assumed

-c, --cloudCover INTEGER RANGE
    Maximum cloud cover percentage needed for the product [0<=x<=100]

-p, --productType TEXT
    The product type to search

-i, --instrument TEXT
    Search for products matching this instrument

-P, --platform TEXT
    Search for products matching this platform

-t, --platformSerialIdentifier TEXT
    Search for products originating from the satellite identified by this keyword

-L, --processingLevel TEXT
    Search for products matching this processing level

-S, --sensorType TEXT
    Search for products matching this type of sensor

--id TEXT
    Search for the product identified by this id

--cruncher [FilterLatestByName|FilterLatestIntersect|FilterOverlap|FilterProperty|FilterDate]
    A cruncher to be applied to search results. Repeat option many times to apply many crunchers

--cruncher-args <TEXT TEXT TEXT>...
    Named arguments acting as the parameters of a cruncher. Enter it like this: --cruncherargs <CruncherName> <arg-name> <arg-value>. Repeat option many times to give many args to a cruncher

--storage FILE
    Path to the file where to store search results (.geojson extension will be automatically appended to the filename). DEFAULT: search_results.geojson

--items INTEGER
    The number of items to return. Eodag is bound to whatever limitation the providers have on the number of results they return. This option allows one to control how many items eodag should request [default: 20]

--page INTEGER
    Retrieve the given page [default: 1]

--all
    Retrieve ALL the products that match the search criteria. It collects products by iterating over the results pages until no more products are available.At each iteration, the maximum number of items searched is either 'items' if set, or a maximum value defined internally for the requested provider, or a default maximum value equals to 50.

--count
    Whether to run a query with a count request or not.

--locations TEXT
    Custom query-string argument(s) to select locations. Format :'key1=value1&key2=value2'. Example: --locations country=FRA&continent=Africa

-q, --query TEXT
    Custom query-string argument(s). Format :'key1=value1&key2=value2'

--help
    Show this message and exit.